Genivia - wst__StatusType Struct Reference

|  | Home | Documentation | wst__StatusType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__StatusType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":StatusType is a complexType. More...

`#include <wst.h>`

## Public Attributes
char * | Code
| Element "Code" of XSD type "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":StatusCodeOpenEnum. More...
char * | Reason
| Element "Reason" of XSD type xs:string. More...

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":StatusType is a complexType.

struct wst__StatusType operations:

- wst__StatusType* soap_new_wst__StatusType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__StatusType(struct soap*, wst__StatusType*) default initialize members
- int soap_read_wst__StatusType(struct soap*, wst__StatusType*) deserialize from a source
- int soap_write_wst__StatusType(struct soap*, wst__StatusType*) serialize to a sink
- wst__StatusType* soap_dup_wst__StatusType(struct soap*, wst__StatusType* dst, wst__StatusType <em>src) returns deep copy of wst__StatusType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__StatusType(wst__StatusType) deep deletes wst__StatusType data members, use only on dst after soap_dup_wst__StatusType(NULL, wst__StatusType *dst, wst__StatusType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* wst__StatusType::Code

Element "Code" of XSD type "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":StatusCodeOpenEnum.

Required element.

char* wst__StatusType::Reason

Element "Reason" of XSD type xs:string.

Optional element.

The documentation for this struct was generated from the following file:

- wst.h